# Configuration

A user which contains access rights to modify/manage settings in Odoo, he/she will be able to generate/re-generate other users' authentication key. After generation/re-generation of new authentication key, that user can send an email to the respected employee for which he/she has generated an authentication key

**Note**

1. Before start, make sure that you have given database filter for single database on which you are going to perform REST API operations.
2. To use REST API on Odoo, you will need to set the consumer key and secret for the OAuth application on the user account you want to use:

* Log in to your Odoo instance with an **administrator** account
* Go to **Settings** **‣** **Users** **‣** **Users**
* Click on the **user** you want to use for REST API access
* Click the **OAuth applications** button
* Register an **Application** you want to interact with your Odoo instance
* Click on **Save** button to generate **Consumer Key** and **Secret**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://synconics.gitbook.io/rest-api/connection/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
